Skip to content
+1-888-319-3663

COMMUNITY FORUM

Upgrade issue to GP 2015, Smart List Builder version 14.00.0016

Brian asked 6 years ago
When trying to export to Excel large data sets, get the following error: Excel cannot open the file ‘201557-52013.XLXS’ because the file format or file extension is not valid…
When I export the data in smaller increments, such as a 6 month periods, the exports works fine. When I combine those into a single export of one 12 month period, I receive the error note above.
Answers
Nicole Albertson Staff answered 6 years ago
We might need a little more detail on this one.
If you are still having this issue, where are you exporting the data to Excel from? 
Is it from SmartList/SmartView or are you using Excel Report Builder? 
Does it matter if it is a SmartList Builder built list or one of the standard ones? 
How many records would be included in the complete list?
What version of Excel is being used?
@GP_Beat answered 6 years ago
Hi Nicole,
I’ve re-upgraded my GP 2010 databases to GP 2015R2 and though Extender and SmartList builder had already been installed in the past with GP 2015, I keep getting error messages after the login in any GP companies (even Fabrikam) that SL  needs to finish installing.. I had this issue too with Extender, but used a SQL script from Pat to fix this for Extender.. But I’ve nothing similar for SLB… Registration Keys are current and the build is 14.00.0004 (V 14.00.0084.000). 
When I try to open SLB after the setup is completed, I get another SQL error  “A remove range operation on table SLB_Additional_Table_Fields failed accessing SQL data”..
In more details I get :
EXCEPTION_CLASS_SCRIPT_ADDRESSING
SCRIPT_CMD_LOAD_ATSI9

[Microsoft][SQL Server Native Client 11.0][SQL Server]Could not find stored procedure ‘DYNAMICS.dbo.zDP_SLB11100L_1’.
[Microsoft][SQL Server Native Client 11.0][SQL Server]Invalid column name ‘Blank_Field_CB’.
Any hints about how to bix those issues ?
 
@GP_Beat replied 6 years ago

I checked my DB_Upgrade and DU000020 tables, and have remains of my previous GP version, namely :
– 4612 Advanced GoTos (which is not used anymore and not part of Dynamics.set)
– 3107 Extender (which keeps failing to upgrade, despite the script I ran against each company)
– 3830 SmartList Builder (same symptom as Extender, but no script to run).


If you would like to submit an answer or comment, please sign in to the eOne portal.